<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("C")) { header("Location:../../index.php"); exit; }


// Infusion Information
$inf_title = "Persnliche Seite";
$inf_description = "Mitglieder knnen ihre eigene persnliche Seite gestalten und fr andere sichtbar machen.";
$inf_version = "3.3";
$inf_developer = "uaqboost";
$inf_email = "ali2000@hotmail.com";
$inf_weburl = "http://www.php-fusion.co.uk";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "personal_page";
$inf_admin = "personal_page_admin.php";

// If any of the following items are not required, you can delete the entire
// line, or ideally set the parameter to ""; i.e. leave it blank.

// Infusion Links : Adds a link to Site Links (if required).
$inf_link_name = "Persnliche Seiten";
$inf_link_url = "ppages.php";

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].
$inf_create_tables[0] = "CREATE TABLE ".$db_prefix."ppage (
		`user_id` smallint(5) NOT NULL default '0',
    `page_title` varchar(60) NOT NULL default '',
    `page_body` text NOT NULL,
    `allowbbcode` tinyint(1) NOT NULL default '0',
    `allowsmilies` tinyint(1) NOT NULL default '0',
    `dismember` tinyint(1) NOT NULL default '0',
    `page_cat` smallint(5) unsigned NOT NULL default '0',
    `page_count` smallint(5) unsigned NOT NULL default '0',
    `approve` tinyint(1) NOT NULL default '0',
    `smilies_user` tinyint(1) NOT NULL default '0',
    `bbcode_user` tinyint(1) NOT NULL default '0',
    `disgbook` tinyint(1) NOT NULL default '0',
    `date_added` int(10) unsigned NOT NULL default '0',
  `item_bbcode` tinyint(1) NOT NULL default '0',
  `item_color` tinyint(1) NOT NULL default '0',
  `item_smilieys` tinyint(1) NOT NULL default '0'

			) TYPE=MyISAM;";

$inf_create_tables[1] = "CREATE TABLE ".$db_prefix."ppage_set (
		`allowbbcode` tinyint(1) NOT NULL default '1',
    `allowsmilies` tinyint(1) NOT NULL default '1',
    `ppage_access` tinyint(3) unsigned NOT NULL default '251',
    `autoapprove` tinyint(1) NOT NULL default '1',
    `max_images` char(2) NOT NULL default '5',
    `max_image_size` varchar(7) NOT NULL default '20480',
    `rules` text NOT NULL,
    `allowrate` tinyint(1) NOT NULL default '1',
    `groups_rights` text NOT NULL,
    `all_groups` tinyint(1) NOT NULL default '0',
    `allowgb` tinyint(1) NOT NULL default '1',
    `uploadm` tinyint(1) NOT NULL default '0',
    `useftp` tinyint(1) NOT NULL default '0',
    `ftpuser` varchar(60) NOT NULL default '',
    `ftppass` varchar(60) NOT NULL default '',
    `ftpserver` varchar(100) NOT NULL default '',
    `shopable` tinyint(1) NOT NULL default '0'
			) TYPE=MyISAM;";
			
$rules = ". No blatant advertising.\r\n. No warez, cracks, serials or illegally obtained copyrighted content\r\n. Use a title that describes the content of your page. Don&#39;t use all caps or special characters to draw attention.\r\n. [color=red]Porn content are prohibited.[/color]";

$inf_create_tables[2] = "INSERT INTO ".$db_prefix."ppage_set VALUES (1, 1, 251, 0, 5, 20480, '".$rules."', 1, '', '0', '1', '0', '0', '', '', '', '0');";

$inf_create_tables[3] = "CREATE TABLE ".$db_prefix."ppage_cats (
		`ppage_cat_id` smallint(5) unsigned NOT NULL auto_increment,
  `ppage_cat_name` varchar(100) NOT NULL default '',
  `ppage_cat_description` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`ppage_cat_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_create_tables[4] = "CREATE TABLE ".$db_prefix."ppage_faq (
		`ppage_faq_id` smallint(5) unsigned NOT NULL auto_increment,
  `ppage_faq_question` varchar(200) NOT NULL default '',
  `ppage_faq_answer` text NOT NULL,
  PRIMARY KEY  (`ppage_faq_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";
			
$inf_create_tables[5] = "CREATE TABLE ".$db_prefix."ppage_template (
	`template_id` smallint(5) NOT NULL auto_increment,
  `template_name` varchar(60) NOT NULL default '',
  `template_body` text NOT NULL,
  PRIMARY KEY  (`template_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";
			
$inf_create_tables[6] = "CREATE TABLE ".$db_prefix."ppage_comments (
	`comment_id` smallint(5) unsigned NOT NULL auto_increment,
  `comment_item_id` smallint(5) unsigned NOT NULL default '0',
  `comment_type` char(1) NOT NULL default '',
  `comment_name` varchar(50) NOT NULL default '',
  `comment_message` text NOT NULL,
  `comment_datestamp` int(10) unsigned NOT NULL default '0',
  `comment_ip` varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`comment_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";
			
$result1 = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_side='1' ORDER BY panel_order DESC LIMIT 1");
			if (dbrows($result1) != 0) { $data1 = dbarray($result1); $neworder1 = $data1['panel_order'] + 1; } else { $neworder1 = 1; }
$result2 = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_side='2' ORDER BY panel_order DESC LIMIT 1");
			if (dbrows($result2) != 0) { $data2 = dbarray($result2); $neworder2 = $data2['panel_order'] + 1; } else { $neworder2 = 1; }
$neworder3 = $neworder1 + 1;
$neworder4 = $neworder3 + 1;
$inf_create_tables[7] = "INSERT INTO ".$db_prefix."panels VALUES ('', 'Personal Page Center', 'personal_page_center_panel', '', 2, ".$neworder2.", 'file', 0, 0);";
$inf_create_tables[8] = "INSERT INTO ".$db_prefix."panels VALUES ('', 'Personal Page Side', 'personal_page_side_panel', '', 1, ".$neworder1.", 'file', 0, 0);";
$inf_create_tables[9] = "INSERT INTO ".$db_prefix."panels VALUES ('', 'Personal Page Info', 'personal_page_info_panel', '', 1, ".$neworder3.", 'file', 0, 0);";

$inf_create_tables[10] = "CREATE TABLE ".$db_prefix."ppage_images (
	`image_id` int(4) NOT NULL auto_increment,
  `user_id` int(4) NOT NULL default '0',
  `bin_data` longblob NOT NULL,
  `imagename` varchar(50) NOT NULL default '',
  `imagesize` varchar(50) NOT NULL default '',
  `imagetype` varchar(50) NOT NULL default '',
  `image_hieght` varchar(6) NOT NULL default '',
  `image_width` varchar(6) NOT NULL default '',
  PRIMARY KEY  (`image_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_create_tables[11] = "INSERT INTO ".$db_prefix."panels VALUES ('', 'Personal Page Latest', 'personal_page_latest_panel', '', 1, ".$neworder4.", 'file', 0, 0);";

$inf_create_tables[12] = "CREATE TABLE ".$db_prefix."ppage_items (
	`item_title` varchar(100) NOT NULL default '',
  `item_name` varchar(50) NOT NULL default '',
  `item_caption` varchar(200) NOT NULL default '',
  `item_points` varchar(6) NOT NULL default '',
  `item_visable` tinyint(1) NOT NULL default '0'
			) TYPE=MyISAM;";

$inf_create_tables[13] = "INSERT INTO ".$db_prefix."ppage_items VALUES ('BBCode feature', 'item_bbcode', 'This feature will allow you to add more effect to your page like bold, italic, underline, and other effects.', '6', 0);";
$inf_create_tables[14] = "INSERT INTO ".$db_prefix."ppage_items VALUES ('Color feature', 'item_color', 'This feature will allow you to add color to your text.', '7', 0);";
$inf_create_tables[15] = "INSERT INTO ".$db_prefix."ppage_items VALUES ('Smilieys feature', 'item_smilieys', 'This feature will allow you to smilieys to your page.', '1', 0);";

$inf_create_tables[16] = "CREATE TABLE ".$db_prefix."ppage_points (
	`thread_points` tinyint(6) NOT NULL default '0',
  `post_points` tinyint(6) NOT NULL default '0'
			) TYPE=MyISAM;";
			
$inf_create_tables[17] = "INSERT INTO ".$db_prefix."ppage_points VALUES (5, 2);";			

$inf_create_tables[10] = "CREATE TABLE ".$db_prefix."ppage_transaction (
	`trans_id` int(6) NOT NULL auto_increment,
  `trans_type` tinyint(1) NOT NULL default '0',
  `user_id` varchar(6) NOT NULL default '',
  `trans_amount` varchar(6) NOT NULL default '0',
  `trans_date` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`trans_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";
		
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = "DROP TABLE IF EXISTS ".$db_prefix."ppage";
$inf_drop_tables[1] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_set";
$inf_drop_tables[2] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_cats";
$inf_drop_tables[3] = "DELETE FROM ".$db_prefix."ratings WHERE rating_type='S'";
$inf_drop_tables[4] = "DELETE FROM ".$db_prefix."site_links WHERE link_name='".INFUSIONS."personal_page/ppages.php'";
$inf_drop_tables[5] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_faq";
$inf_drop_tables[6] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_template";
$inf_drop_tables[7] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_comments";
$inf_drop_tables[8] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_center_panel'";
$inf_drop_tables[9] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_side_panel'";
$inf_drop_tables[10] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_info_panel'";
$inf_drop_tables[11] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_images";
$inf_drop_tables[12] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_latest_panel'";
$inf_drop_tables[13] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_items";
$inf_drop_tables[14] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_points";
$inf_drop_tables[15] = "DROP TABLE IF EXISTS ".$db_prefix."ppage_transaction";

// If infusion is a newer version alter tables.
$inf_upgrade_alter_tables[0] = "ALTER TABLE ".$db_prefix."ppage_set ADD `shopable` TINYINT(1) default '0' NOT NULL ";
$inf_upgrade_alter_tables[1] = "UPDATE ".$db_prefix."ppage SET date_added ='".time()."' WHERE date_added='0' AND approve='2'";


?>
