<?php
if (!defined("IN_FUSION")) { header("Location:../index.php"); exit; }

function removebbtag($message){

  $ubbs1[0] = '#\[b\](.*?)\[/b\]#si';
  $ubbs2[0] = '\1';
	$ubbs1[1] = '#\[i\](.*?)\[/i\]#si';
	$ubbs2[1] = '\1';
	$ubbs1[2] = '#\[u\](.*?)\[/u\]#si';
	$ubbs2[2] = '\1';
	$ubbs1[3] = '#\[center\](.*?)\[/center\]#si';
	$ubbs2[3] = '\1';
	$ubbs1[4] = '#\[url\]http://(.*?)\[/url\]#si';
	$ubbs2[4] = '\1';
	$ubbs1[5] = '#\[url\](.*?)\[/url\]#si';
	$ubbs2[5] = '\1>';
	$ubbs1[6] = '#\[url=http://(.*?)\](.*?)\[/url\]#si';
	$ubbs2[6] = '\1';
	$ubbs1[7] = '#\[url=(.*?)\](.*?)\[/url\]#si';
	$ubbs2[7] = '\1';
	$ubbs1[8] = '#\[mail\](.*?)\[/mail\]#si';
	$ubbs2[8] = '\1';
	$ubbs1[9] = '#\[mail=(.*?)\](.*?)\[/mail\]#si';
	$ubbs2[9] = '\1';
	$ubbs1[10] = '#\[img\](.*?)\[/img\]#si';
	$ubbs2[10] = '\1';
	$ubbs1[11] = '#\[small\](.*?)\[/small\]#si';
	$ubbs2[11] = '\1';
	$ubbs1[12] = '#\[quote\](.*?)\[/quote\]#si';
	$ubbs2[12] = '\1';
	$ubbs1[13] = '#\[code\](.*?)\[/code\]#si';
	$ubbs2[13] = '\1';
	for ($i=0;$ubbs1[$i]!="";$i++) $message = preg_replace($ubbs1, $ubbs2, $message);

 	return $message;
}

function parseubb1($message) {
	$ubbs1[0] = '#\[b\](.*?)\[/b\]#si';
	$ubbs2[0] = '<b>\1</b>';
	$ubbs1[1] = '#\[i\](.*?)\[/i\]#si';
	$ubbs2[1] = '<i>\1</i>';
	$ubbs1[2] = '#\[u\](.*?)\[/u\]#si';
	$ubbs2[2] = '<u>\1</u>';
	$ubbs1[3] = '#\[center\](.*?)\[/center\]#si';
	$ubbs2[3] = '<center>\1</center>';
	$ubbs1[4] = '#\[url\]http://(.*?)\[/url\]#si';
	$ubbs2[4] = '<a href=\'http://\1\' target=\'_blank\'>http://\1</a>';
	$ubbs1[5] = '#\[url\](.*?)\[/url\]#si';
	$ubbs2[5] = '<a href=\'http://\1\' target=\'_blank\'>\1</a>';
	$ubbs1[6] = '#\[url=http://(.*?)\](.*?)\[/url\]#si';
	$ubbs2[6] = '<a href=\'http://\1\' target=\'_blank\'>\2</a>';
	$ubbs1[7] = '#\[url=(.*?)\](.*?)\[/url\]#si';
	$ubbs2[7] = '<a href=\'http://\1\' target=\'_blank\'>\2</a>';
	$ubbs1[8] = '#\[mail\](.*?)\[/mail\]#si';
	$ubbs2[8] = '<a href=\'mailto:\1\'>\1</a>';
	$ubbs1[9] = '#\[mail=(.*?)\](.*?)\[/mail\]#si';
	$ubbs2[9] = '<a href=\'mailto:\1\'>\2</a>';
	$ubbs1[10] = '#\[img\](.*?)\[/img\]#si';
	$ubbs2[10] = '<img src=\'\1\'>';
	$ubbs1[11] = '#\[small\](.*?)\[/small\]#si';
	$ubbs2[11] = '<span class=\'small\'>\1</span>';
	$ubbs1[12] = '#\[color=(.*?)\](.*?)\[/color\]#si';
	$ubbs2[12] = '<span style=\'color:\1\'>\2</span>';
	$ubbs1[13] = '#\[quote\](.*?)\[/quote\]#si';
	$ubbs2[13] = '<div class=\'quote\'>\1</div>';
	$ubbs1[14] = '#\[code\](.*?)\[/code\]#si';
	$ubbs2[14] = '<div class=\'quote\' style=\'width:400px;white-space:nowrap;overflow:auto\'><code style=\'white-space:nowrap\'>\1<br><br><br></code></div>';
	$message = preg_replace($ubbs1, $ubbs2, $message);
	
	// Prevent use of mallicious javascript
	$message = preg_replace_callback("/&#([0-9]{1,3});/", create_function('$matches', 'return chr($matches[1]);'), $message);
	$text1[0] = "#document#si"; $text2[0] = 'docu<i></i>ment';
	$text1[1] = "#expression#si"; $text2[1] = 'expres<i></i>sion';
	$text1[2] = "#onmouseover#si"; $text2[2] = 'onmouse<i></i>over';
	$text1[3] = "#onclick#si"; $text2[3] = 'on<i></i>click';
	$text1[4] = "#onmousedown#si"; $text2[4] = 'onmouse<i></i>down';
	$text1[5] = "#onmouseup#si"; $text2[5] = 'onmouse<i></i>up';
	$text1[6] = "#ondblclick#si"; $text2[6] = 'on<i></i>dblclick';
	$text1[7] = "#onmouseout#si"; $text2[7] = 'onmouse<i></i>out';
	$text1[8] = "#onmousemove#si"; $text2[8] = 'onmouse<i></i>move';
	$text1[9] = "#onload#si"; $text2[9] = 'on<i></i>load';
	$text1[10] = "#background:url#si"; $text2[10] = 'background<i></i>:url';
	$message = preg_replace($text1, $text2, $message);
	
	return $message;
}

function parsecolor($message){
$ubbs1[0] = '#\[color=(.*?)\](.*?)\[/color\]#si';
$ubbs2[0] = '<span style=\'color:\1\'>\2</span>';
	$message = preg_replace($ubbs1, $ubbs2, $message);
	return $message;
}

function removecolortag($message){

  $ubbs1[0] = '#\[color=(.*?)\](.*?)\[/color\]#si';
  $ubbs2[0] = '\2';
for ($i=0;$ubbs1[$i]!="";$i++) $message = preg_replace($ubbs1, $ubbs2, $message);
 	return $message;
}

function showbbcode(){
echo "<br>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('page_body', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('page_body', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('page_body', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('page_body', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('page_body', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('page_body', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('page_body', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('page_body', '[small]', '[/small]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('page_body', '[quote]', '[/quote]');\">
<br>";
}

function multipage(){
echo "<input type='button' value='new page' class='button' style='width:60px;' onClick=\"insertText('page_body', '<--PAGEBREAK-->');\"><br>";
}

function showcolor(){
echo "<br>".$locale['PP_045']."<select name='bbcolor' class='textbox' style='width:90px;' onChange=\"addText('page_body', '[color=' + this.options[this.selectedIndex].value + ']', '[/color]');this.selectedIndex=0;\">
<option value=''>Default</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value=' orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select><br>";
}

function makepagenav1($start,$count,$total,$range=0,$link=""){
	if ($link == "") $link = $PHP_SELF."?";
	$res="";
	$pg_cnt=ceil($total / $count);
	if ($pg_cnt > 1) {
		$idx_back = $start - $count;
		$idx_next = $start + $count;
		$cur_page=ceil(($start + 1) / $count);
		$res.="<table cellspacing='1' cellpadding='1' border='0' class='tbl-border'>\n<tr>\n";
		$res.="<td class='tbl2'><span class='small'>".$locale['LAN_52']."$cur_page".$locale['LAN_53']."$pg_cnt</span></td>\n";
		if ($idx_back >= 0) {
			if ($cur_page > ($range + 1)) $res.="<td class='tbl2'><a class='small' href='$link"."rowstart1=0'>&lt;&lt;</a></td>\n";
			$res.="<td class='tbl2'><a class='small' href='$link"."rowstart1=$idx_back'>&lt;</a></td>\n";
		}
		$idx_fst=max($cur_page - $range, 1);
		$idx_lst=min($cur_page + $range, $pg_cnt);
		if ($range==0) {
			$idx_fst = 1;
			$idx_lst=$pg_cnt;
		}
		for($i=$idx_fst;$i<=$idx_lst;$i++) {
			$offset_page=($i - 1) * $count;
			if ($i==$cur_page) {
				$res.="<td class='tbl1'><span class='small'><b>$i</b></span></td>\n";
			} else {
				$res.="<td class='tbl1'><a class='small' href='$link"."rowstart1=$offset_page'>$i</a></td>\n";
			}
		}
		if ($idx_next < $total) {
			$res.="<td class='tbl2'><a class='small' href='$link"."rowstart1=$idx_next'>&gt;</a></td>\n";
			if ($cur_page < ($pg_cnt - $range)) $res.="<td class='tbl2'><a class='small' href='$link"."rowstart1=".($pg_cnt-1)*$count."'>&gt;&gt;</a></td>\n";
		}
		$res.="</tr>\n</table>\n";

	}
	return $res;
}

function getfiles($folder){

$handle = opendir($folder);
	while ($file = readdir($handle)) {
		if (!in_array($file, array(".", "..", "/", "index.php"))) $filelist[] = $file;
	}
	closedir($handle);
	if (count($filelist)) sort($filelist);
	$i = 0;
	while ($filelist[$i]!="") {
		$files .= "<option value='".$filelist[$i]."'$sel>".$filelist[$i]."</option>\n";
		$i++;
	}
	return $files;
}

function guestbook($ctype,$cdb,$ccol,$cid,$clink) {

	global $db_prefix,$settings,$userdata,$rowstart;

	if (isset($_POST['post_comment'])) {
		if (dbrows(dbquery("SELECT $ccol FROM ".$db_prefix."$cdb WHERE $ccol='$cid'"))==0) {
			header("Location:".BASEDIR."index.php");
			exit;
		}
		if (iMEMBER) {
			$comment_name = $userdata['user_id'];
		} elseif ($settings['guestposts'] == "1") {
			$comment_name = stripinput($_POST['comment_name']);
			if (is_numeric($comment_name)) $comment_name="";
		}
		$comment_message = stripinput(censorwords($_POST['comment_message']));
		if ($comment_name != "" && $comment_message != "") {
			$result = dbquery("INSERT INTO ".$db_prefix."ppage_comments VALUES('', '$cid', '$ctype', '$comment_name', '$comment_message', '".time()."', '".USER_IP."')");
		}
		header("Location:".$clink);
	}

	tablebreak();
	opentable(COMMENT_100);
	if (!isset($rowstart)) $rowstart = 0;
	$rows = dbcount("(comment_id)", "ppage_comments", "comment_item_id='$cid' AND comment_type='$ctype'");
	$result = dbquery(
		"SELECT tcm.*,user_name FROM ".$db_prefix."ppage_comments tcm
		LEFT JOIN ".$db_prefix."users tcu ON tcm.comment_name=tcu.user_id
		WHERE comment_item_id='$cid' AND comment_type='$ctype'
		ORDER BY comment_datestamp DESC LIMIT $rowstart,6"
	);
	
	if (dbrows($result) != 0) {
			$i = 0;
		echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
		while ($data = dbarray($result)) {
			echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>\n";
			if ($data['user_name']) {
				echo "<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."'>".$data['user_name']."</a>";
			} else {
				echo $data['comment_name'];
			}
			echo "</span>
<span class='small'>".$locale['LAN_41'].showdate("longdate", $data['comment_datestamp'])."</span><br>
".parsesmileys(parseubb($data['comment_message']))."</td>\n";
if ($userdata['user_id'] == $cid || iSUPERADMIN || iADMIN){
echo "<td class='".($i% 2==0?"tbl1":"tbl2")."' align='center'><a href='".$clink."&deletemsg=".$data['comment_id']."' onClick='return confirmdelmsg();'><img src='".INFUSIONS."personal_page/img/delete.gif' alt='".$locale['LAN_443']."' border='0'></a></td>";
}
echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
		echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,6,$rows,3,$clink."&")."\n</div>\n";
		} else {
		echo $locale['COMMENT_101']."\n";
	}
	closetable();
	tablebreak();
	opentable($locale['COMMENT_102']);
	if (iMEMBER || $settings['guestposts'] == "1") {
		echo "<form name='inputform' method='post' action='$clink'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>\n";
		if (iGUEST) {
			echo "<tr>
<td>".$locale['COMMENT_103']."</td>
</tr>
<tr>
<td><input type='text' name='comment_name' maxlength='50' class='textbox' style='width:100%;'></td>
</tr>\n";
		}
		echo "<tr>
<td align='center'><textarea name='comment_message' rows='6' class='textbox' style='width:400px'></textarea><br>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('comment_message', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('comment_message', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('comment_message', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('comment_message', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('comment_message', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('comment_message', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('comment_message', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('comment_message', '[small]', '[/small]');\">
<br><br>
".displaysmileys("comment_message")."
</tr>
<tr>
<td align='center'><input type='submit' name='post_comment' value='".$locale['COMMENT_102']."' class='button'></td>
</tr>
</table>
</form>\n";
	} else {
		echo $locale['COMMENT_105']."\n";
	}
	closetable();
}

function FtpMkdir($path, $newDir) { 

   global $ppage_set;
   
       $server= $ppage_set['ftpserver']; 
       $connection = ftp_connect($server); 
       $user = $ppage_set['ftpuser']; 
       $pass = $ppage_set['ftppass']; 
       $result = ftp_login($connection, $user, $pass); 

   if ((!$connection) || (!$result)) { 
       return false; 
       exit(); 
       } else { 
         ftp_chdir($connection, $path); 
       if(ftp_mkdir($connection,$newDir)) {  
           return $newDir; 
       } else { 
           return false;        
       } 
   ftp_close($conn_id); 
   } 

} 

function dbsum($field,$table,$vars="",$prefix=DB_PREFIX) {
	$cond = ($vars ? " WHERE ".$vars : "");
	if (!$query = mysql_query("SELECT SUM".$field." FROM ".$prefix.$table.$cond)) {
		echo mysql_error();
	} else {
		$rows = mysql_result($query, 0); return $rows;
	}
}

function getpoints($user_id){
global $db_prefix, $userdata;

$ppage_points = dbarray(dbquery("SELECT * FROM ".$db_prefix."ppage_points"));

$result = dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_author='".$user_id."'");
$result2 = dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_author='".$user_id."'");
$result3 = dbsum("(trans_amount)", "ppage_transaction", "user_id='".$user_id."'");

$sumthreads = dbrows($result);
$posts = dbrows($result2);
$sumposts = $posts - $sumthreads;

$threadspoints = $sumthreads * $ppage_points['thread_points'];
$postspoints = $sumposts * $ppage_points['post_points'];
$points = $threadspoints + $postspoints;
$points = $points - $result3;

return $points;
}
?>

