<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../config.php";
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

@include INFUSIONS."personal_page/pp_functions.php";
@include INFUSIONS."personal_page/locale/".$settings['language'].".php";

if (isset($ppage_id)) {
	$result = dbquery("UPDATE ".$db_prefix."ppage SET page_count=page_count+1 WHERE user_id='$ppage_id'");
	$result = dbquery("SELECT * FROM ".$db_prefix."ppage WHERE user_id='$ppage_id'");
	$data = dbarray($result);
	header ("Location:".INFUSIONS."personal_page/view_personal_page.php?user_id=".$data['user_id']);
}
if (!isset($cat_id)) {
	opentable($locale['LAN_406']);
	$result = dbquery("SELECT * FROM ".$db_prefix."ppage_cats ORDER BY ppage_cat_name");
	$rows = dbrows($result);
	if ($rows != 0) {
		$columns = 2; $counter = 0;
		echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n";
		while($data = dbarray($result)) {
			if ($counter != 0) if ($counter % $columns == 0) echo "</tr>\n<tr>\n";
			$num = dbcount("(page_cat)", "ppage", "page_cat='".$data['ppage_cat_id']."' and page_body != ''
and approve = '2' and dismember = '0'");
			echo "<td align='center' valign='top'><a href='$PHP_SELF?cat_id=".$data['ppage_cat_id']."'>".$data['ppage_cat_name']."</a> <span class='small2'>($num)</span>";
			if ($data['ppage_cat_description'] != "") echo "<br>\n<span class='small'>".$data['ppage_cat_description']."</span>";
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<center><br>\n".$locale['LAN_408']."<br><br>\n</center>\n";
	}
	closetable();
	tablebreak();
	
	opentable($locale['PP_078']);

		$rows = dbcount("(*)", "ppage", "page_body != '' and approve = '2' and dismember = '0'");
		
		if ($rows != 0) {
 			echo"<table align='center' cellspacing='0' cellpadding='0' class='tbl-border' width='100%' border='0'>
          <tr><td>
          <table width='100%' cellspacing='1' cellpadding='0' align='center'>
           <tr>
           <td align='center' class='tbl2'><b>".$locale['LAN_410']."</b></td>
		   <td align='center' class='tbl2'><b>Date Posted</b></td>
           <td align='center' class='tbl2'><b>".$locale['PP_079']."</b></td>
           <td align='center' class='tbl2'><b>".$locale['LAN_407']."</b></td>
           <td align='center' class='tbl2'><b>".$locale['LAN_411']."</b></td>
           </tr>
           ";

      $result = dbquery("SELECT * FROM ".$db_prefix."ppage WHERE page_body != ''
and approve = '2' and dismember = '0' ORDER BY page_count DESC LIMIT 0,5");
			$numrows = dbrows($result); $i = 1;
			while ($data = dbarray($result)) {
			$result2 = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$data['user_id']."'");
			$data2 = dbarray($result2);

			$data4 = 0;
      $result3 = dbquery("SELECT * FROM ".$db_prefix."ratings WHERE rating_item_id='".$data['user_id']."'");
      $count = dbrows($result3);
      while ($data3 = dbarray($result3)){
			$data4 = $data4 + $data3['rating_vote'];
			}
			if ($count != 0){
			$avg = number_format(round($data4/$count*100)/100);
            }else{
               $avg = 0;
            }
						
      echo "<tr><td align='left' class='tbl1' width='30%'>";
      echo "<a href='ppages.php?ppage_id=".$data['user_id']."'>".$data['page_title']."</a><br>\n";
	  echo "</td><td align='center' class='tbl2' width='10%'>".date('d.m.Y', $data['date_added'])."</td>";
      echo "</td><td align='center' class='tbl1' width='10%'><img src='".INFUSIONS."personal_page/img/stars-".$avg.".gif'></td>";
			echo "</td><td align='center' class='tbl2' width='10%'>".$data['page_count']."</td>";
			echo "</td><td align='center' class='tbl1' width='15%'><a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a></td>";
			echo "</tr>";
				$i++;
			}
			echo "</table></td></tr></table>";
			closetable();

		} else {
			echo "<center><br>".$locale['PP_080']."<br><br>\n</center>";
			closetable();
		}
		
} else {
	if (!isNum($cat_id)) { header("Location:".FUSION_SELF); exit; }
	if ($data = dbarray(dbquery("SELECT * FROM ".$db_prefix."ppage_cats WHERE ppage_cat_id='$cat_id'"))) {
		opentable($locale['LAN_406'].": ".$data['ppage_cat_name']);

		$rows = dbcount("(*)", "ppage", "page_cat='$cat_id' and page_body != '' and approve = '2' and dismember = '0'");
		if (!$rowstart) $rowstart = 0;
		
		if (!$order){ $order = " ASC";
    }elseif ($order == "asc"){ $order = " ASC";
    }elseif ($order == "desc"){ $order = " DESC";}
		if (!$orderby){ $orderby = " ORDER BY page_title";
    }elseif ($orderby == "pagetitle"){ $orderby = " ORDER BY page_title";
    }elseif ($orderby == "visits"){ $orderby = " ORDER BY page_count";}
    
		if ($rows != 0) {
		
		echo "<br><center><b>".$locale['PP_081']."</b>
".$locale['PP_082']."<a href='$PHP_SELF?cat_id=$cat_id&orderby=pagetitle&order=asc'><img src='".INFUSIONS."personal_page/img/asc.gif' border='0' align='top'></a>
 <a href='$PHP_SELF?cat_id=$cat_id&orderby=pagetitle&order=desc'><img src='".INFUSIONS."personal_page/img/desc.gif' border='0' align='top'></a> |
".$locale['PP_083']."<a href='$PHP_SELF?cat_id=$cat_id&orderby=visits&order=asc'><img src='".INFUSIONS."personal_page/img/asc.gif' border='0' align='top'></a>
 <a href='$PHP_SELF?cat_id=$cat_id&orderby=visits&order=desc'><img src='".INFUSIONS."personal_page/img/desc.gif' border='0' align='top'></a>
    <br><hr><br></center>";
		
			echo"<table align='center' cellspacing='0' cellpadding='0' class='tbl-border' width='100%' border='0'>
          <tr><td>
          <table width='100%' cellspacing='1' cellpadding='0' align='center'>
           <tr>
           <td align='center' class='tbl2'><b>".$locale['LAN_410']."</b></td>
		   <td align='center' class='tbl2'><b>Date Posted</b></td>
           <td align='center' class='tbl2'><b>".$locale['PP_079']."</b></td>
           <td align='center' class='tbl2'><b>".$locale['LAN_407']."</b></td>
           <td align='center' class='tbl2'><b>".$locale['LAN_411']."</b></td>
           </tr>
           ";

      $result = dbquery("SELECT * FROM ".$db_prefix."ppage WHERE page_cat='$cat_id' and page_body != ''
and approve = '2' and dismember = '0' ".$orderby."".$order." LIMIT $rowstart,15");
			$numrows = dbrows($result); $i = 1;
			while ($data = dbarray($result)) {
			$result2 = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$data['user_id']."'");
			$data2 = dbarray($result2);
			
			$weektime = mktime(0, 0, 0, date("m")  , date("d")-7, date("Y"));
			$data4 = 0;
      $result3 = dbquery("SELECT * FROM ".$db_prefix."ratings WHERE rating_item_id='".$data['user_id']."'");
      $count = dbrows($result3);
      while ($data3 = dbarray($result3)){
			$data4 = $data4 + $data3['rating_vote'];
			}
			if ($count != 0){
			$avg = number_format(round($data4/$count*100)/100);
            }else{
            $avg = 0;
            }
			
			$pagetime = $data['date_added'];
			if ($pagetime >= $weektime) $new="<img src='".INFUSIONS."personal_page/img/new.gif' border='0' align='top'>";
			
      echo "<tr><td align='left' class='tbl1' width='30%'>";
      echo "<a href='$PHP_SELF?cat_id=$cat_id&ppage_id=".$data['user_id']."'>".$data['page_title']."</a> $new<br>\n";
	  echo "</td><td align='center' class='tbl2' width='10%'>".date('d.m.Y', $data['date_added'])."</td>";
      echo "</td><td align='center' class='tbl1' width='10%'><img src='".INFUSIONS."personal_page/img/stars-".$avg.".gif'></td>";
			echo "</td><td align='center' class='tbl2' width='10%'>".$data['page_count']."</td>";
			echo "</td><td align='center' class='tbl1' width='15%'><a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."'>".$data2['user_name']."</a></td>";
			echo "</tr>";
				$i++;
				unset($new);
			}
			echo "</table></td></tr></table>";
			echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,15,$rows,3,"$PHP_SELF?cat_id=$cat_id&")."\n</div>\n";
echo "<br><hr><center><br><a href='".INFUSIONS."personal_page/ppages.php'>".$locale['PP_084']."</a><br><br>\n</center>";
			closetable();
			
    } else {
			echo "<center><br>\n".$locale['LAN_409']."<br><br>\n</center>";
			echo "<br><center><br><a href='".INFUSIONS."personal_page/ppages.php'>".$locale['PP_084']."</a><br><br>\n</center>";
			closetable();
		}
	} else {
		header("Location:".FUSION_SELF); exit;
	}
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
